cc.funkemunky.api.tinyprotocol.api

## Class NMSObject.Server

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.NMSObject.Server

Enclosing class:
  NMSObject

    public static class NMSObject.Server
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `ABILITIES`
`static java.lang.String` `CHAT`
`static java.lang.String` `CUSTOM_PAYLOAD`
`static java.lang.String` `ENTITY`
`static java.lang.String` `ENTITY_DESTROY`
`static java.lang.String` `ENTITY_METADATA`
`static java.lang.String` `ENTITY_VELOCITY`
`static java.lang.String` `HELD_ITEM`
`static java.lang.String` `KEEP_ALIVE`
`static java.lang.String` `LEGACY_REL_LOOK`
`static java.lang.String` `LEGACY_REL_POSITION`
`static java.lang.String` `LEGACY_REL_POSITION_LOOK`
`static java.lang.String` `NAMED_ENTITY_SPAWN`
`static java.lang.String` `OPEN_WINDOW`
`static java.lang.String` `PLAYER_INFO`
`static java.lang.String` `POSITION`
`static java.lang.String` `REL_LOOK`
`static java.lang.String` `REL_POSITION`
`static java.lang.String` `REL_POSITION_LOOK`
`static java.lang.String` `RESPAWN`
`static java.lang.String` `SPAWN_ENTITY`
`static java.lang.String` `SPAWN_ENTITY_LIVING`
`static java.lang.String` `TAB_COMPLETE`
`static java.lang.String` `TRANSACTION`

### Constructor Summary

Constructors
Constructor and Description
`Server()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEEP_ALIVE

    public static final java.lang.String KEEP_ALIVE

See Also:
  Constant Field Values

#### CHAT

    public static final java.lang.String CHAT

See Also:
  Constant Field Values

#### POSITION

    public static final java.lang.String POSITION

See Also:
  Constant Field Values

#### TRANSACTION

    public static final java.lang.String TRANSACTION

See Also:
  Constant Field Values

#### NAMED_ENTITY_SPAWN

    public static final java.lang.String NAMED_ENTITY_SPAWN

See Also:
  Constant Field Values

#### SPAWN_ENTITY_LIVING

    public static final java.lang.String SPAWN_ENTITY_LIVING

See Also:
  Constant Field Values

#### SPAWN_ENTITY

    public static final java.lang.String SPAWN_ENTITY

See Also:
  Constant Field Values

#### CUSTOM_PAYLOAD

    public static final java.lang.String CUSTOM_PAYLOAD

See Also:
  Constant Field Values

#### ENTITY_METADATA

    public static final java.lang.String ENTITY_METADATA

See Also:
  Constant Field Values

#### ENTITY_VELOCITY

    public static final java.lang.String ENTITY_VELOCITY

See Also:
  Constant Field Values

#### ENTITY_DESTROY

    public static final java.lang.String ENTITY_DESTROY

See Also:
  Constant Field Values

#### ENTITY

    public static final java.lang.String ENTITY

See Also:
  Constant Field Values

#### REL_POSITION

    public static final java.lang.String REL_POSITION

See Also:
  Constant Field Values

#### REL_POSITION_LOOK

    public static final java.lang.String REL_POSITION_LOOK

See Also:
  Constant Field Values

#### REL_LOOK

    public static final java.lang.String REL_LOOK

See Also:
  Constant Field Values

#### LEGACY_REL_POSITION

    public static final java.lang.String LEGACY_REL_POSITION

See Also:
  Constant Field Values

#### LEGACY_REL_POSITION_LOOK

    public static final java.lang.String LEGACY_REL_POSITION_LOOK

See Also:
  Constant Field Values

#### LEGACY_REL_LOOK

    public static final java.lang.String LEGACY_REL_LOOK

See Also:
  Constant Field Values

#### ABILITIES

    public static final java.lang.String ABILITIES

See Also:
  Constant Field Values

#### OPEN_WINDOW

    public static final java.lang.String OPEN_WINDOW

See Also:
  Constant Field Values

#### HELD_ITEM

    public static final java.lang.String HELD_ITEM

See Also:
  Constant Field Values

#### PLAYER_INFO

    public static final java.lang.String PLAYER_INFO

See Also:
  Constant Field Values

#### TAB_COMPLETE

    public static final java.lang.String TAB_COMPLETE

See Also:
  Constant Field Values

#### RESPAWN

    public static final java.lang.String RESPAWN

See Also:
  Constant Field Values

### Constructor Detail

#### Server

    public Server()